Package org.eclipse.ecf.core.sharedobject.events

# Interface ISharedObjectManagerConnectionEvent

All Superinterfaces:
  `Event`, `IContainerEvent`, `ISharedObjectManagerEvent`

All Known Implementing Classes:
  `SharedObjectManagerConnectEvent`, `SharedObjectManagerDisconnectEvent`

public interface ISharedObjectManagerConnectionEvent extends ISharedObjectManagerEvent
Shared object manager connection event. Instances implementing this interface are sent to IContainerListeners when the `ISharedObjectManager.connectSharedObjects(org.eclipse.ecf.core.identity.ID, org.eclipse.ecf.core.identity.ID[])` or `ISharedObjectManager.disconnectSharedObjects(ISharedObjectConnector)` is called.

## Method Summary

Modifier and Type
Method
Description
`ISharedObjectConnector`
`getConnector()`
Get the `ISharedObjectConnector` associated with this event

### Methods inherited from interface org.eclipse.ecf.core.events.IContainerEvent

`getLocalContainerID`

### Methods inherited from interface org.eclipse.ecf.core.sharedobject.events.ISharedObjectManagerEvent

`getSharedObjectID`

## Method Details

### getConnector

ISharedObjectConnector getConnector()
Get the `ISharedObjectConnector` associated with this event

Returns:
  ISharedObjectConnector associated with this new connection